{% extends 'base_1.html' %}

{% load i18n %}

{% block content %}
<main id="main">
  <!-- ======= Breadcrumbs ======= -->
  <section id="breadcrumbs" class="breadcrumbs">
    <div class="breadcrumb-hero">
      <div class="container">
        <div class="breadcrumb-hero">
          <h2>{% trans "Account" %}</h2>
          <p class="m-auto"><a class="btn btn-success" href="{% url 'hotel:proposal_create' %}">{% trans "proposal" %}</a></p>
        </div>
      </div>
    </div>
    <div class="container">
      <ol>
        <li><a href="{% url 'home' %}">{% trans "Home" %}</a></li>
        <li>{% trans "Account" %}</li>
      </ol>
    </div>
  </section>
  <!-- End Breadcrumbs -->

  <section id="blog" class="blog">
    <div class="container">
      <div class="row">
        <div class="col-lg-8 mt-5 mt-lg-0" data-aos="fade-left">

          <div class="row">
            <div class="blog-posts">
              <h3 class="mb-3 font-weight-normal">{% trans "Blog posts" %}:</h3>
              {% if blog_posts %}
              <ul class="list-group">
                {% for post in blog_posts %}
                <a href="{% url 'blog:detail' post.slug %}" style="text-decoration: none;">
                  <li class="list-group-item">{{ post }}</li>
                </a>
                {% endfor %}
              </ul>
              {% else %}
              <p>{% trans "You have no blog posts. Create a post" %} <a href="{% url 'blog:create' %}">{% trans "here" %}</a>.</p>
              {% endif %}
            </div>
          </div>
        </div>

        <div class="col-lg-4" data-aos="fade-right">
          <form class="form-signin" method="post">
            {% csrf_token %}

            <h1 class="h3 mb-3 font-weight-normal">{% trans "Account" %}</h1>

            <input type="email" name="email" id="inputEmail" class="form-control mt-2" placeholder="Email address" required
              autofocus value={{account_form.initial.email}}>

            <input type="text" name="username" id="inputUsername" class="form-control mt-2" placeholder="Username" required
              value="{{account_form.initial.username}}">

            {% for field in account_form %}
            <p>
              {% for error in field.errors %}
            <p style="color: red">{{ error }}</p>
            {% endfor %}
            </p>
            {% endfor %}
            {% if account_form.non_field_errors %}
            <div style="color: red">
              <p>{{account_form.non_field_errors}}</p>
            </div>

            {% endif %}

            {% if success_message %}
            <p style="color:green; text-align: center;">{{success_message}}</p>
            {% endif  %}

            <div class="text-center">
              <button class="btn btn-lg btn-primary btn-block" type="submit">{% trans "Save changes" %}</button>
              <a class="m-auto" href="{% url 'password_change' %}">{% trans "Change password" %}</a>
            </div>
          </form>
        </div>
      </div>
    </div>
  </section>
</main>
{% endblock content %}